@model ArchivosModel 
@{
    string Prefix = "Archivos"; 

    string UrlSave = Url.Action("Edit", "Archivos"); 
    string UrlNew = Url.Action("New", "Archivos"); 
    string UrlDelete = Url.Action("Delete", "Archivos", new { Id = Model.Entity.Id }); 
    string UrlBack = Url.Action("ListPartial", "Archivos"); 

    var ToolbarConfig = new ToolbarConfiguration(Prefix) 
        .Title(DApp.DefaultLanguage.GetResource("Archivos")) 
        .Save(DApp.ActionViewSecurity(Context, UrlSave),Model.Entity.IsNew) 
        .New(UrlNew, DApp.ActionViewSecurity(Context, UrlNew)) 
        .Delete(UrlDelete,DApp.ActionViewSecurity(Context,UrlDelete),UrlBack,Model.Entity.IsNew) 
        .Back(UrlBack); 
}

<partial name="ViewJS.cshtml" model="Model" view-data="ViewData" /> 

@(Html.DControls().Toolbar(ToolbarConfig)) 

<div> 
    <div id = "ArchivosMainPanelForm"> 
        <form id = "@(Prefix)Form" asp-controller="Archivos" asp-action="Edit" class="form-horizontal" data-ajax-mode="replace" data-ajax-update="#mainPanel" data-ajax-success="@(Prefix)FormSuccess" data-ajax-failure="@(Prefix)FormFailure" data-ajax="true"> 
            @(Html.DControls().ValidationSummary().ValidationGroup(Prefix + "ValidationGroup").ElementAttr("class","ErrorValidationSummary")) 
            @using (Html.DevExtreme().ValidationGroup(Prefix + "ValidationGroup")) 
            { 
                @(Html.DControls().CheckBoxFor(m => m.Entity.IsNew).ID(Prefix + "IsNew").Visible(false)) 
                @(Html.DControls().NumberBoxFor(m => m.Entity.Id).ID(Prefix + "Id").Visible(false)) 
                @(Html.DControls().TextBoxFor(m => m.Entity.UpdatedBy).ID(Prefix + "UpdatedBy").Visible(false)) 
                @(Html.DControls().DateBoxFor(m => m.Entity.LastUpdate).ID(Prefix + "LastUpdate").Type(DateBoxType.DateTime).Visible(false)) 
                @(Html.DControls().TextBoxFor(m => m.Entity.CreatedBy).ID(Prefix + "CreatedBy").Visible(false)) 
                @(Html.DControls().DateBoxFor(m => m.Entity.CreationDate).ID(Prefix + "CreationDate").Type(DateBoxType.DateTime).Visible(false)) 

                @(Html.DControls().Form<ArchivosModel>() 
                    .ID("ArchivosModelForm").LabelLocation(FormLabelLocation.Top).ShowValidationSummary(false).FormData(Model) 
                    .Items(items => 
                    { 
                         items.AddGroup().ColCount(12).Caption(DApp.DefaultLanguage.GetResource("DEFAULT.INFORMATIONGENERAL"))
                             .Items(groupItems =>{
                                groupItems.AddSimpleFor(m => m.Entity.Periodo).ColSpan(1)                                 .ValidationRules(rules => rules.AddRequired().Message(DApp.GetRequiredResource("Archivos.Periodo")));                                 groupItems.AddSimpleFor(m => m.Entity.Descripcion).ColSpan(1) 
                                .ValidationRules(rules => rules.AddStringLength().Min(0).Max(1000).Message(DApp.GetStringLengthResource("Archivos.Descripcion", 1000))) 
                                     .Editor(e => e.TextArea().ID(Prefix + "Descripcion")); 
                                groupItems.AddSimpleFor(m => m.Entity.Nombre).ColSpan(1) 
                                .ValidationRules(rules => rules.AddRequired().Message(DApp.GetRequiredResource("Archivos.Nombre"))) 
                                .ValidationRules(rules => rules.AddStringLength().Min(0).Max(100).Message(DApp.GetStringLengthResource("Archivos.Nombre", 100))) 
                                     .Editor(e => e.TextBox().ID(Prefix + "Nombre").ShowClearButton(true)); 
                                groupItems.AddSimpleFor(m => m.Entity.TipoContenido).ColSpan(1) 
                                .ValidationRules(rules => rules.AddRequired().Message(DApp.GetRequiredResource("Archivos.TipoContenido"))) 
                                .ValidationRules(rules => rules.AddStringLength().Min(0).Max(100).Message(DApp.GetStringLengthResource("Archivos.TipoContenido", 100))) 
                                     .Editor(e => e.TextBox().ID(Prefix + "TipoContenido").ShowClearButton(true)); 
                                groupItems.AddSimpleFor(m => m.Entity.Archivo).ColSpan(1)                                 .ValidationRules(rules => rules.AddRequired().Message(DApp.GetRequiredResource("Archivos.Archivo")));                          }); 
                    }) 
                ) 
            } 
        </form> 

        @* Si el maestro maneja detalle descomentar el siguiente codigo y remplazar la palabra "MAESTRODETALLE" *@
        @* 
        <div> 
           <ul class="nav nav-tabs" role="tablist"> 
               <li role="presentation" class="active"> 
                   <a href="#MAESTRODETALLE" aria-controls="MAESTRODETALLE" role="tab" data-toggle="tab"> 
                       @DApp.DefaultLanguage.GetResource("MAESTRODETALLE") 
                   </a> 
               </li> 
           </ul> 
           <div class="tab-content"> 
               <div role="tabpanel" class="tab-pane active" id="MAESTRODETALLE">
                   <partial name="../MAESTRODETALLE/ListDetail.cshtml" model=Model view-data="ViewData" />
               </div>
           </div>
        </div>
        *@

    </div> 
</div> 

